# etke services
etke_base_matrix: yes
etke_order_issue_id: 123
etke_service_support: basic
etke_subscription_confirmed: no
etke_subscription_email: test@test.com
etke_subscription_provider: Ko-Fi

# ssh
system_security_ssh_port: 222
system_security_ssh_authorizedkeys_host:
  - ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEt3k0bEgBjfZRqU3MvWla8sgUUsm5mJRYu2CWYcYDCz user@host
  - ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEt3k0bEgBjfZRqU3MvWla8sgUUsm5mJRYu2CWYcYDCz user2@host

# postgres
devture_postgres_connection_password: TODO64

# homeserver https://matrix.example.com
matrix_domain: example.com
matrix_admin: "@test:example.com"
devture_traefik_config_certificatesResolvers_acme_email: test@test.com
matrix_client_element_enabled: no

# MSC1929 admin contacts
matrix_static_files_file_matrix_support_enabled: yes
matrix_static_files_file_matrix_support_property_m_contacts:
  - matrix_id: "@test:example.com"
    email_address: test@test.com
    role: m.role.admin

# initial users
matrix_user_creator_users_additional:
 - username: test
   initial_password: TODO64
   initial_type: admin

# synapse::extensions::shared_secret_auth
matrix_synapse_ext_password_provider_shared_secret_auth_enabled: yes
matrix_synapse_ext_password_provider_shared_secret_auth_shared_secret: TODO64

# synapse::credentials
matrix_synapse_macaroon_secret_key: TODO64
matrix_synapse_password_config_pepper: TODO64
matrix_coturn_turn_static_auth_secret: TODO64
matrix_homeserver_generic_secret_key: "{{ matrix_synapse_macaroon_secret_key }}"

# matrix-static-files
matrix_static_files_container_labels_base_domain_enabled: yes

# exim-relay
exim_relay_dkim_privkey_contents: |
  -----BEGIN PRIVATE KEY-----
  TODO
  -----END PRIVATE KEY-----

# postgres::backups
devture_postgres_backup_enabled: yes
devture_postgres_backup_schedule: '@daily'
devture_postgres_backup_keep_days: 7
devture_postgres_backup_keep_weeks: 0
devture_postgres_backup_keep_months: 0

# synapse-admin https://matrix.example.com/synapse-admin
matrix_synapse_admin_enabled: yes
